Page MenuHomePhabricator

WebdriverIO should run Chrome headlessly
Closed, ResolvedPublic

Description

Until December 2017, this task was blocked on having MediaWiki in Docker containers.

https://developers.google.com/web/updates/2017/04/headless-chrome

$ /Applications/Google\ Chrome.app/Contents/MacOS/Google\ Chrome --version
Google Chrome 59.0.3071.86 

$ chromedriver -v
ChromeDriver 2.30.477690 (c53f4ad87510ee97b5c3425a14c0e79780cdf262)

$ npm run selenium
(tests run fine, chrome not visible, no errors)

headless

$ time npm run selenium
...
real	0m33.007s
user	0m4.840s
sys	0m0.975s

normal

$ time npm run selenium
...
real	0m36.221s
user	0m7.110s
sys	0m1.721s

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptJun 9 2017, 1:35 PM
zeljkofilipin triaged this task as Normal priority.Jun 9 2017, 1:39 PM
zeljkofilipin updated the task description. (Show Details)

Change 358019 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/core@master] WIP WebdriverIO should run Chrome headlessly

https://gerrit.wikimedia.org/r/358019

zeljkofilipin updated the task description. (Show Details)Jun 9 2017, 1:44 PM
zeljkofilipin updated the task description. (Show Details)Jun 9 2017, 1:46 PM
zeljkofilipin updated the task description. (Show Details)

Change 358578 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/selenium@master] WIP Headless Chrome

https://gerrit.wikimedia.org/r/358578

Krinkle moved this task from Inbox to Selenium on the MediaWiki-Core-Testing board.

Change 358019 abandoned by Zfilipin:
WIP WebdriverIO should run Chrome headlessly

Reason:
Blocked on T170032

https://gerrit.wikimedia.org/r/358019

Change 358578 abandoned by Zfilipin:
WIP Headless Chrome

Reason:
I do not plan to work on this because of T173488: Announce Selenium Ruby framework deprecation on appropriate mailing lists (QA, engineering, wikitech-l)

https://gerrit.wikimedia.org/r/358578

Change 394565 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] docker: add Chromedriver to npm-browser-test

https://gerrit.wikimedia.org/r/394565

Change 394565 merged by jenkins-bot:
[integration/config@master] docker: add Chromedriver to npm-browser-test

https://gerrit.wikimedia.org/r/394565

hashar changed the task status from Stalled to Open.Dec 4 2017, 4:31 PM

We now have a Docker image providing Chromium 62.

zeljkofilipin lowered the priority of this task from Normal to Low.Dec 15 2017, 1:32 PM
Aklapper updated the task description. (Show Details)Dec 31 2017, 11:13 AM

Change 358019 restored by Hashar:
WIP WebdriverIO should run Chrome headlessly

https://gerrit.wikimedia.org/r/358019

hashar added a comment.Jan 2 2018, 8:58 AM

I guess we want to migrate the job mediawiki-core-qunit-selenium-jessie to run in a docker container such as wmfreleng/npm-browser-test Though the tests point at a local mediawiki http service and we don't yet have the integration for that yet.

Change 422109 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/quibble@master] Run QUnit headlessly when there is no DISPLAY

https://gerrit.wikimedia.org/r/422109

Change 422109 merged by jenkins-bot:
[integration/quibble@master] Run QUnit headlessly when there is no DISPLAY

https://gerrit.wikimedia.org/r/422109

Change 358019 merged by jenkins-bot:
[mediawiki/core@master] WebdriverIO should be able to run Chrome headlessly

https://gerrit.wikimedia.org/r/358019

Change 425972 had a related patch set uploaded (by Hashar; owner: Zfilipin):
[mediawiki/core@REL1_30] WebdriverIO should be able to run Chrome headlessly

https://gerrit.wikimedia.org/r/425972

Change 425972 merged by jenkins-bot:
[mediawiki/core@REL1_30] WebdriverIO should be able to run Chrome headlessly

https://gerrit.wikimedia.org/r/425972

Change 426098 had a related patch set uploaded (by Hashar; owner: Zfilipin):
[mediawiki/core@REL1_29] WebdriverIO should be able to run Chrome headlessly

https://gerrit.wikimedia.org/r/426098

Change 426098 merged by jenkins-bot:
[mediawiki/core@REL1_29] WebdriverIO should be able to run Chrome headlessly

https://gerrit.wikimedia.org/r/426098